Bug 779084 - Lazy lookup of EJBs in EJBProcessor
Lazy lookup of EJBs in EJBProcessor
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.0
Unspecified Unspecified
high Severity high
: ---
: 5.2.0 GA,5.2.0.ER4
Assigned To: Magesh Bojan
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-08 06:52 EDT by Martin Weiler
Modified: 2012-07-13 00:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: SOA-1483
Environment:
Last Closed: 2011-11-03 11:37:54 EDT
Type: Task
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-1483 Major Closed Lazy lookup of EJBs in EJBProcessor 2013-01-17 10:05:01 EST

  None (edit)
Description Martin Weiler 2009-09-08 06:52:51 EDT
++ This bug is a clone of bug 779083 ++

Date of First Response: 2009-11-27 08:01:24
Help Desk Ticket Reference: https://enterprise.redhat.com/issue-tracker/339503
project_key: SOA

Platform issue for JBESB-2813:

EJBProcessor performs lookup of remote EJBs at application startup. If the lookup fails, EJBProcessor throws an exception, so that the whole application cannot start.
This should be changed to a lazy lookup.
Comment 1 Martin Weiler 2009-09-08 06:53:52 EDT
Link: Added: This issue related JBESB-2813
Comment 2 Mark Little 2009-11-27 08:01:24 EST
Please remember to set the Component in future.
Comment 3 Anne-Louise Tangring 2010-02-25 14:03:55 EST
Engineering response says this will not be fixed. Please close accordingly.
Comment 5 Rick Wagner 2011-03-10 14:19:19 EST
Modernized support case reference:

https://c.na7.visual.force.com/apex/Case_View?id=500A0000003hT8k&sfdc.override=1
Comment 6 David Le Sage 2011-08-25 18:50:00 EDT
Release Notes Docs Status: Added: Documented as Resolved Issue
Writer: Added: dlesage
Release Notes Text: Added: https://issues.jboss.org/browse/JBESB-2813

The EJBProcessor looked for remote EJBs at application startup. If the look-up failed, the EJBProcessor threw an exception, meaning that the application could not start. The code, simply did a look-up at the outset and reused the proxy to invoke methods on the target EJB. It has now been changed so that it can handle remoted EJBs.  As a result, no exception is encountered and the application starts correctly.
Comment 7 Jiri Pechanec 2011-11-03 11:37:54 EDT
Verified in ER6

Note You need to log in before you can comment on or make changes to this bug.